Productsup
CDE APIApi referenceManagement

Add a default owner for an integrator.

Sign in to run requests against the CDE API.
DELETE
/defaults/integrators/{integratorId}/owner

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

integratorId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://cde.staging.productsup.com/defaults/integrators/497f6eca-6276-4993-bfeb-53cbbbba6f08/owner"
{
  "message": "Successfully removed default owner for integrator.",
  "resource": "integrator-defaults",
  "data": {
    "integrator": "019e16f3-9a47-775a-92e8-00d7266582fb",
    "has-owner": false,
    "owner": null,
    "dev-defaults": null,
    "prod-defaults": null
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Integrator does not have defaults saved."
}

How is this guide?